package cz.jzitnik;

import cz.jzitnik.game.setup.GameSetup;
import cz.jzitnik.utils.DependencyManager;
import org.reflections.Reflections;

public class Game {
    private final DependencyManager dependencyManager = new DependencyManager(new Reflections("cz.jzitnik"));

    public void start() {
        Cli cli = dependencyManager.getDependencyOrThrow(Cli.class);

        GameSetup gameSetup = dependencyManager.getDependencyOrThrow(GameSetup.class);
        gameSetup.setup();

        cli.run();
    }
}
